OGRE-Next: Ogre::LodStrategyManager Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
Ogre::LodStrategyManager Class Reference
Core » LOD

Manager for LOD strategies. More...

`#include <OgreLodStrategyManager.h>`

Inheritance diagram for Ogre::LodStrategyManager:
[legend]

## Public Member Functions
| LodStrategyManager ()
| Default constructor.
| ~LodStrategyManager ()
| Destructor.
void | addStrategy (LodStrategy *strategy)
| Add a strategy to the manager.
LodStrategy * | getDefaultStrategy ()
| Get the current default strategy.
MapIterator< StrategyMap > | getIterator ()
| Get an iterator for all contained strategies.
LodStrategy * | getStrategy (const String &name)
| Get the strategy with the specified name.
void | removeAllStrategies ()
| Remove and delete all strategies from the manager.
LodStrategy * | removeStrategy (const String &name)
| Remove a strategy from the manager with a specified name.
void | setDefaultStrategy (const String &name)
| Set the default strategy by name.
void | setDefaultStrategy (LodStrategy *strategy)
| Set the default strategy.
Public Member Functions inherited from Ogre::Singleton< LodStrategyManager >
| Singleton ()
| ~Singleton ()

## Static Public Member Functions
static LodStrategyManager & | getSingleton ()
| Override standard Singleton retrieval.
static LodStrategyManager * | getSingletonPtr ()
| Override standard Singleton retrieval.
Static Public Member Functions inherited from Ogre::Singleton< LodStrategyManager >
static LodStrategyManager & | getSingleton ()
static LodStrategyManager * | getSingletonPtr ()

## Detailed Description

Manager for LOD strategies.

## Constructor & Destructor Documentation

## ◆ LodStrategyManager()

Ogre::LodStrategyManager::LodStrategyManager | ( |  | ) |

Default constructor.

Referenced by getSingleton(), and getSingletonPtr().

## ◆ ~LodStrategyManager()

Ogre::LodStrategyManager::~LodStrategyManager | ( |  | ) |

Destructor.

## Member Function Documentation

## ◆ addStrategy()

void Ogre::LodStrategyManager::addStrategy | ( | LodStrategy * | strategy | ) |

Add a strategy to the manager.

## ◆ getDefaultStrategy()

LodStrategy * Ogre::LodStrategyManager::getDefaultStrategy | ( |  | ) |

Get the current default strategy.

## ◆ getIterator()

MapIterator< StrategyMap > Ogre::LodStrategyManager::getIterator | ( |  | ) |

Get an iterator for all contained strategies.

## ◆ getSingleton()

static LodStrategyManager & Ogre::LodStrategyManager::getSingleton | ( |  | ) |
| static

Override standard Singleton retrieval.

Remarks
  Why do we do this? Well, it's because the Singleton implementation is in a .h file, which means it gets compiled into anybody who includes it. This is needed for the Singleton template to work, but we actually only want it compiled into the implementation of the class based on the Singleton, not all of them. If we don't change this, we get link errors when trying to use the Singleton-based class from an outside dll.

  This method just delegates to the template version anyway, but the implementation stays in this single compilation unit, preventing link errors.

References LodStrategyManager().

## ◆ getSingletonPtr()

static LodStrategyManager * Ogre::LodStrategyManager::getSingletonPtr | ( |  | ) |
| static

Override standard Singleton retrieval.

Remarks
  Why do we do this? Well, it's because the Singleton implementation is in a .h file, which means it gets compiled into anybody who includes it. This is needed for the Singleton template to work, but we actually only want it compiled into the implementation of the class based on the Singleton, not all of them. If we don't change this, we get link errors when trying to use the Singleton-based class from an outside dll.

  This method just delegates to the template version anyway, but the implementation stays in this single compilation unit, preventing link errors.

References LodStrategyManager().

## ◆ getStrategy()

LodStrategy * Ogre::LodStrategyManager::getStrategy | ( | const String & | name | ) |

Get the strategy with the specified name.

## ◆ removeAllStrategies()

void Ogre::LodStrategyManager::removeAllStrategies | ( |  | ) |

Remove and delete all strategies from the manager.

Remarks
  All strategies are deleted. If finer control is required over strategy destruction, use removeStrategy.

## ◆ removeStrategy()

LodStrategy * Ogre::LodStrategyManager::removeStrategy | ( | const String & | name | ) |

Remove a strategy from the manager with a specified name.

Remarks
  The removed strategy is returned so the user can control how it is destroyed.

## ◆ setDefaultStrategy() [1/2]

void Ogre::LodStrategyManager::setDefaultStrategy | ( | const String & | name | ) |

Set the default strategy by name.

## ◆ setDefaultStrategy() [2/2]

void Ogre::LodStrategyManager::setDefaultStrategy | ( | LodStrategy * | strategy | ) |

Set the default strategy.

The documentation for this class was generated from the following file:

- OgreLodStrategyManager.h